.text-content {
  & details {
    &[open] summary ~ * {
      animation: text-content-open 0.3s ease-in-out;
    }
    &[open] summary:after {
      transform: rotate(45deg);
      font-size: 2rem;
    }
    & summary::-webkit-details-marker {
      display: none;
    }
    & summary {
      width: 100%;
      padding: 0.5rem 0;
      border-top: 1px solid rgba(var(--color--primary-rgb),.3);
      position: relative;
      cursor: pointer;
      list-style: none;
    }
    & summary:after {
      content: "+";
      color: var(--color--primary);
      position: absolute;
      font-size: 1.75rem;
      line-height: 0;
      margin-top: 0.75rem;
      right: 0;
      transform-origin: center;
      transition: 200ms linear;
      font-weight: 300;
    }
  }
  & .box details {
    background-color: transparent;
  }
}
@keyframes text-content-open {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}